com.typesafe.config

## Interface ConfigIncluderFile

    public interface ConfigIncluderFile

Implement this in addition to `ConfigIncluder` if you want to support inclusion of files with the `include file("filename")` syntax. If you do not implement this but do implement `ConfigIncluder`, attempts to load files will use the default includer.

### Method Summary

Methods
`ConfigObject` `includeFile(ConfigIncludeContext context, java.io.File what)` Parses another item to be included.

### Method Detail

#### includeFile

    ConfigObject includeFile(ConfigIncludeContext context,
                           java.io.File what)

Parses another item to be included. The returned object typically would not have substitutions resolved. You can throw a ConfigException here to abort parsing, or return an empty object, but may not return null.

Parameters:
  `context` - some info about the include context
  `what` - the include statement's argument
Returns:
  a non-null ConfigObject